Bug 1961675 - Kebab menu of taskrun contains Edit options which should not be present
Summary: Kebab menu of taskrun contains Edit options which should not be present
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Mohammed Saud
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks: 1962493
TreeView+ depends on / blocked
 
Reported: 2021-05-18 13:30 UTC by Mohammed Saud
Modified: 2021-07-27 23:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1962493 (view as bug list)
Environment:
Last Closed: 2021-07-27 23:09:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8960 0 None open Bug 1961675: Hide TaskRun edit actions for rows in Pipelinerun's TaskRun tab 2021-05-18 13:31:54 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:09:28 UTC

Description Mohammed Saud 2021-05-18 13:30:24 UTC
Description of problem:
User should only be able to Delete a taskrun, but the taskrun kebab menu includes options to Edit lable, annotation, and taskrun


Prerequisites (if any, like setup, operators/versions):
Install Openshift Pipelines Operator


Steps to Reproduce

    Create pipeline and create pipelineruns
    Navigate to Pipelines page and click on a pipeline which has piplinerun
    Click on the pipelinerun and navigate to taskrun tab
    Click on the kebab menu for options


Actual results:
The Kebab menu of taskrun contains Edit options which should not be present


Expected results:
The Kebab menu of the taskrun should only contain Delete Taskrun option


Reproducibility (Always/Intermittent/Only Once):
Always

Comment 2 Debsmita Santra 2021-05-21 16:16:04 UTC
verified on build 4.8.0-0.nightly-2021-05-21-101954

Comment 5 errata-xmlrpc 2021-07-27 23:09:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.